package com.asperasoft.samples.faspex.cmdclient;

import java.util.List;
import java.util.ArrayList;

/**
 * Represents a Faspex package.
 * 
 * @author Aspera
 */
class FaspexPackage {
    private String title;
    private String content;
    private String id;
    private FaspexUser author;
    private List<FaspexUser> recipients;
    private List<String> faspURLs;
    
    public FaspexPackage() {
        recipients = new ArrayList<FaspexUser>();
        faspURLs = new ArrayList<String>();
    }

    public void setTitle(String title) {
        this.title = title;
    }
    public String getTitle() {
        return title;
    }

    public void setContent(String content) {
        this.content = content;
    }
    public String getContent() {
        return content;
    }

    public void setId(String id) {
        this.id = id;
    }
    public String getId() {
        return id;
    }

    public void setAuthor(FaspexUser author) {
        this.author = author;
    }
    public FaspexUser getAuthor() {
        return author;
    }

    public void addRecipient(FaspexUser recipient) {
        this.recipients.add(recipient);
    }
    public List<FaspexUser> getRecipients() {
        return recipients;
    }

    public void addFaspURL(String faspURL) {
        this.faspURLs.add(faspURL);
    }
    public List<String> getFaspUrls() {
        return faspURLs;
    }
}
